#include <iostream>
#include <map>
#include <vector>
#include <algorithm>
#include <iomanip>

int main()
{
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);
	double last = 0, current, sum = 0;
	int N; std::cin >> N;
	std::vector<std::pair<int, double>> v(N);
	for (auto& i : v) { std::cin >> i.first >> i.second; sum += i.first; }
	std::sort(v.begin(), v.end(), [](std::pair<int, double> f, std::pair<int, double> s) {return f.second < s.second; });
	for (const auto& i : v) {
		current = sum * (i.second / 100.0);
		if (current < last) break;
		last = current;
		sum -= i.first;
	}
	std::cout << std::setprecision(4) << std::fixed << last;
}